/*전 페이지 공통*/
input, textarea{
    cursor: text;
    resize: none;
}
select,
select option,
button,
button *,
a img,
a p,
a {
    cursor: pointer;
}
button, img{
    display: block;
}
button[disabled]{
    cursor: default;
    background-color: #E7E7E7!important;
    color: #686868;
    font-weight: normal;
}
input, textarea, button,
select, a, label{
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}
select::-ms-expand { 
	display: none;
}
select {
    -o-appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
/* input search */
input::-ms-clear,
input::-ms-reveal{
	display:none;width:0;height:0;
}
input::-webkit-search-decoration,
input::-webkit-search-cancel-button,
input::-webkit-search-results-button,
input::-webkit-search-results-decoration{
	-webkit-appearance: none;
    /* background: url('/assets/img/icon/delete_icon_wh.svg') center center no-repeat; */
    cursor: pointer;
    width: 16px;
    height: 16px;
    border-radius: 8px;
    background-color: #C8C8C8;
}
input::-webkit-calendar-picker-indicator {
    display: none !important;
}
input[type="radio"],
input[type="checkbox"] {
    -webkit-appearance: none; /* 웹킷 브라우저에서 기본 스타일 제거*/
    -moz-appearance: none; /* 모질라 브라우저에서 기본 스타일 제거*/ 
    appearance: none; /*기본 브라우저에서 기본 스타일 제거*/
}
body {color: #191919;}
* {box-sizing: border-box;}
input::placeholder {color: #999;}

button {
    background-color: transparent;
}

/* iOS 여백 */
body {
    padding-top: env(safe-area-inset-top);
    padding-bottom: env(safe-area-inset-bottom);
    padding-left: env(safe-area-inset-left);
    padding-right: env(safe-area-inset-right);
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
}

/* 입력창 키보드 대응용 */
input, textarea {
    font-size: 16px; /* iOS 확대 방지 */
}

main {
    padding: 56px 20px 0;
    min-height: calc(100vh - 114px);
    /* height: 100vh; */
    margin: 0 auto;
}



/* align */
.display_none {display: none;}
.display_block {display: block;}
.display_grid {display: grid;}
.display_flex {display: flex;}
.flex_wrap {flex-wrap: wrap;}
.flex_nowrap {flex-wrap: nowrap;}
.flex_start {justify-content: flex-start;}
.flex_center {justify-content: center;}
.flex_end {justify-content: flex-end;}
.flex_between {justify-content: space-between;}
.flex_around {justify-content: space-around;}
.flex_align_s {align-items: flex-start;}
.flex_align_c {align-items: center;}
.flex_align_e {align-items: flex-end;}
.flex_align_str {align-items: stretch;}
.flex_dir_column {flex-direction: column;}


/* background color */
.bg-m {background-color: #FAAF00;}
.bg-w {background-color: #fff;}
.bg-lg {background-color: #EDEDED;}

/* font color */
.txt-bk {color: #191919;}
.txt-m {color: #FAAF00;}
.txt-w {color: #fff;}
.txt-g {color: #555555;}
.txt-lg {color: #888888;}
.txt-lg_02 {color: #9E9E9E;}
.txt-lg_03 {color: #767676;}
.txt-red {color: #EF0000;}
.txt-up {color: #FF5353;}
.txt-donw {color: #17AF46;}

/* font weight  */
.txt-light {font-weight: 300;}
.txt-medium {font-weight: 500;}
.txt-semibold {font-weight: 600;}
.txt-bold {font-weight: 700;}
/* .txt-extra {font-weight: 700;} */

/* font align */
.txt-center {text-align: center;}
.txt-right {text-align: right;}

.border {border: 1px solid #D9D9D9;}
.border-t {border-top: 1px solid #BCBCBC;}
.border-b {border-bottom: 1px solid #BCBCBC;}

.border-06 {border-radius: 6px;}
.border-10 {border-radius: 10px;}

.overflow-hidden {
    overflow: hidden;
}

input.form_input {
    display: block;
    width: 100%;
    border: 1px solid #E4E4E4;
    border-radius: 6px;
    height: 48px;
    padding: 0 12px;
    font-size: 15px;
}

.btn {
    width: 100%;
    height: 48px;
    border-radius: 6px;
    background-color: #FAAF00;
    color: #fff;
    font-size: 15px;
    font-weight: bold;
}
.btn-border {
    display: block;
    width: 100%;
    height: 48px;
    color: #FAAF00;
    border: 1px solid #FAAF00;
    text-align: center;
    line-height: 48px;
    border-radius: 6px;
}


/* modal popup (커스텀팝업) */
.popup_bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 30;
}

.modal_popup .popup_wrap {
    position: fixed;
    top: 50%;
    left: 50%;
    /* transform: translateX(-50%); */
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 52px 20px 16px 20px;
    width: calc(100% - 40px);
    max-width: 380px;
    border-radius: 20px;
    text-align: center;
    z-index: 30;
}

.modal_popup .popup_wrap .mainText {
    font-size: 18px;
    color: #191919;
    font-weight: 700;
}

.modal_popup .popup_wrap .subText {
    font-size: 15px;
    color: #888888;
    margin-top: 6px;
}

.modal_popup .popup_wrap .btn_box {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 14px;
    margin-top: 35px;
}
.modal_popup .popup_wrap button {
    display: block;
    width: 100%;
    height: 48px;
    border-radius: 10px;
    background-color: #FAAF00;
    color: #ffffff;
    font-size: 15px;
    font-weight: 600;
}
.modal_popup .popup_wrap button.cancel_btn {
    background-color: #F1F1F1;
    color: #555;
}

.modal_popup#cancel button.register_btn {
    background-color: #fff;
    border: 1px solid #EF0000;
    color: #EF0000;
}


/* 상품 등록 팝업 */
.register_popup .popup_wrap {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 0 20px 12px;
    background-color: #fff;
    border-radius: 10px 10px 0 0;
    z-index: 31;
}

.register_popup .indicator {
    padding: 10px 0 12px;
    margin-bottom: 10px;
}
.register_popup .indicator span {
    display: block;
    width: 40px;
    height: 5px;
    background-color: #ccc;
    border-radius: 3px;
    margin: 0 auto;
}

.register_popup ul li.register_box a,
.register_popup ul li.register_box button {
    width: 100%;
    font-size: 15px;
    height: 44px;
    background-color: transparent;
    color: #191919;
}

.register_popup ul li.register_box a img,
.register_popup ul li.register_box button img {
    display: block;
    width: 28px;
    height: 28px;
    margin-right: 10px;
}

.register_popup .pop_tit {
    width: 100%;
    height: 44px;
    position: relative;
    margin-top: 10px;
    text-align: center;
    line-height: 44px;
}

.register_popup .pop_tit button {
    position: absolute;
    top: 0;
    right: -20px;
    width: 44px;
    height: 44px;
}

.register_popup .register_form {
    padding: 20px 0 8px;
    gap: 14px;
}

.register_popup .register_form input,
.register_popup .register_form button {
    border-radius: 10px;
}






/* header */
header {
    padding-top: env(safe-area-inset-top);
    background-color: #fff;
    width: 100%;
    /* border-bottom: 1px solid #D4D4D4; */
    position: fixed;
    z-index: 20;
}

header > div {
    padding: 8px 16px;
    font-size: 18px;
    height: 56px;
}

header .header_tap {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    position: relative;
    background-color: transparent;
}

header .header_tap .alarm {
    display: block;
    width: 6px;
    height: 6px;
    border-radius: 10px;
    background-color: #FF5353;
    position: absolute;
    top: 7px;
    right: 7px;
}

header div p {
    margin-left: 10px;
}



/* nav 탭바 */
.tap_bar {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    border-top: 1px solid #EEEEEE;
    background-color: #fff;
}
.tap_bar ul li {
    flex: 1;
    text-align: center;
    height: 64px;
}
.tap_bar ul li img {
    display: block;
    margin: 0 auto 4px;
}
.tap_bar ul li a {
    display: block;
    width: 100%;
    height: 100%;
    padding: 10px 0;
    font-size: 13px;
    color: #ABABAB;
}
.tap_bar li.center {
    position: relative;
}
.tap_bar li.center img {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}
.tap_bar ul li.on a {
    color: #FAAF00;
    font-weight: bold;
}
.tap_bar ul li a > div {
    width: 25px;
    height: 25px;
    margin: 0 auto 4px;
}
.tap_bar ul li a .tap_img01 {background: url('/asseta/img/tap_ico01.svg') no-repeat;}
.tap_bar ul li a .tap_img02 {background: url('/asseta/img/tap_ico02.svg') no-repeat;}
.tap_bar ul li a .tap_img03 {background: url('/asseta/img/tap_ico03.svg') no-repeat;}
.tap_bar ul li a .tap_img04 {background: url('/asseta/img/tap_ico04.svg') no-repeat;}

.tap_bar ul li.on a .tap_img01 {background: url('/asseta/img/tapOn_ico01.svg') no-repeat;}
.tap_bar ul li.on a .tap_img02 {background: url('/asseta/img/tapOn_ico02.svg') no-repeat;}
.tap_bar ul li.on a .tap_img03 {background: url('/asseta/img/tapOn_ico03.svg') no-repeat;}
.tap_bar ul li.on a .tap_img04 {background: url('/asseta/img/tapOn_ico04.svg') no-repeat;}





/* 공통 */
.main_wrap {
    padding: 56px 20px 90px;
}

/* signup checkbox */
.checkbox input[type="checkbox"] {
    display: block;
    width: 18px;
    height: 18px;
    border-radius: 4px;
    border: 1px solid #AEAEAE;
    cursor: pointer;
    margin-right: 8px;
}
.checkbox input[type="checkbox"]:checked {
    background: url('/asseta/img/ico_check.png') no-repeat;
    background-position: center;
    background-color: #FAAF00;
    border: none;
}


/* select */
.select-box {
    border: 1px solid #D2D2D2;
    background-color: #fff;
    border-radius: 6px;
    position: relative;
    width: 120px;
    height: 44px;
    overflow: hidden;
}
.select-box img {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
}
.select-box select {
    width: 100%;
    height: 100%;
    padding: 0 0 0 12px;
    font-size: 16px;
    font-weight: 600;
    color: #191919;
    background-color: transparent;
}


/* 상품 리스트 */
.product_wrap {
    margin-top: 30px;
}

.product_wrap .con_tit {
    font-size: 18px;
}

.product_wrap .con_tit a {
    display: block;
    padding: 10px;
}


.product_list {
    grid-template-columns: repeat(3, 1fr);
    gap: 18px 10px;
    padding-bottom: 30px;
}

.product_list a {
    color: #191919;
}

.product_list .img_box {
    width: 100%;
    aspect-ratio: 1 / 1; /* 정사각형 유지 */
    border-radius: 6px; 
    border: 1px solid #EDEDED;
    overflow: hidden;
}

.product_list .img_box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product_list li.none_product {
    width: 100%;
    height: 160px;
    color: #888;
    font-size: 15px;
}

.product_list .price_box {
    gap: 2px;
    font-size: 13px;
    margin: 4px 0;
}

.product_list .price_up,
.product_list .price_down {
    border-radius: 4px;
    padding: 0 3px 0 2px;
    font-size: 12px;
}
.price_up {
    background-color: #FFE2E2;
    color: #FF5353;
}
.price_down {
    background-color: #E3F7E9;
    color: #17AF46;
}
.product_list .price_up img,
.product_list .price_down img  {
    display: block;
    min-width: 6px;
    margin-right: 2px;
}
.product_list a > p {
    color: #3b3b3b;
    height: 30px;
    font-size: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}




/* toast popup */
#toast {
    position: fixed;
    bottom: 80px;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 10px 20px;
    border-radius: 20px;
    font-size: 14px;
    display: none;
    z-index: 31;
}



/* complete - 상품추가 완료 */
.complete_box {
    position: fixed;
    width: calc(100% - 40px);
    padding: 16px 14px 16px 20px;
    bottom: 36px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 40;
    font-size: 16px;
}


.complete_box a.btn {
    width: 114px;
    height: 44px;
    line-height: 44px;
    font-size: 16px;
}






/* 404 error */
.error {font-size: 15px;}
.error .text-01 {font-size: 30px;}
.error .text-02 {
    font-size: 16px;
    margin-bottom: 16px;
}
.error .text-02 img {margin: 16px auto 6px;}
.error a {
    display: block;
    line-height: 48px;
    margin-top: 30px;
}


/* 로딩 애니메이션 공통 */
.loading {
    gap: 16px;
    padding: 20px 0;
}
.loading span {
    width: 10px;
    height: 10px;
    background-color: gray;
    border-radius: 50%;
    animation: loading 1s 0s linear infinite;
}

.loading span:nth-child(1) {
    animation-delay: 0s;
    background-color: #FFC02D;
}

.loading span:nth-child(2) {
    animation-delay: 0.2s;
    background-color: #DCE6A5;
}

.loading span:nth-child(3) {
    animation-delay: 0.4s;
    background-color: #FFD684;
}

@keyframes loading {
    0%,                      
    100% {
        opacity: 0;            
        transform: scale(0.5); 
    }
    50% {
        opacity: 1;            
        transform: scale(1.2); 
    }
}
